Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.common
Class WPVSClientConfig

    java.lang.Object
      org.deegree.portal.common.WPVSClientConfig

    public class WPVSClientConfig

extends Object

TODO add documentation here

Version:
  $Revision: 1.1 $, $Date: 2007/03/09 10:40:46 $
Author:
  Ugo Taddei, last edited by: $Author: ap $

Method Summary
`String[]` | `getAvailableDatasets()`
`String` | `getDefaultCRS()`
`int` | `getDistanceAboveSeaLevel()`
`String` | `getElevationModel()`
`String[]` | `getInitialBBox()`
`String` | `getInitialBBoxAsString()`
`int` | `getInitialDistance()`
`int` | `getInitialHeight()`
`int` | `getInitialPitch()`
`int` | `getInitialRoll()`
`int` | `getInitialYaw()`
`static WPVSClientConfig` | `getInstance()`
`int` | `getOverViewHeight()`
`int` | `getOverViewWidth()`
`double` | `getPOIX()`
`double` | `getPOIY()`
`String` | `getServiceIdentification()`
`int` | `getViewHeight()`
`int` | `getViewWidth()`
`String` | `getWmsGetMapFragment()`
`String` | `getWpvsBaseURL()`
`WPVSCapabilities` | `getWpvsCapabilities()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static WPVSClientConfig getInstance()
                                        throws InvalidCapabilitiesException,
                                               IOException,
                                               SAXException

  Returns:
    a WPVSClientConfig instance following a singleton pattern.
  Throws:
    `SAXException` - if the creation of the capabilities document fails
    `IOException` - if the wpvs capabilities document cannot be read
    `InvalidCapabilitiesException` - if the wpvs capabilitiesdocument cannot be parsed.

### getInitialBBox

    public final String[] getInitialBBox()

  Returns:
    initial bounding box for GetView request

### getWmsGetMapFragment

    public final String getWmsGetMapFragment()

  Returns:
    WMS GetMap request fragment for overview map

### getWpvsCapabilities

    public final WPVSCapabilities getWpvsCapabilities()

  Returns:
    capabilities of the WPVS

### getOverViewHeight

    public final int getOverViewHeight()

  Returns:
    the overViewHeight.

### getOverViewWidth

    public final int getOverViewWidth()

  Returns:
    the overViewWidth.

### getViewHeight

    public final int getViewHeight()

  Returns:
    the viewHeight.

### getViewWidth

    public final int getViewWidth()

  Returns:
    the viewWidth.

### getWpvsBaseURL

    public final String getWpvsBaseURL()

  Returns:
    the wpvsBaseURL.

### getAvailableDatasets

    public final String[] getAvailableDatasets()

  Returns:
    the availableDatasets.

### getDefaultCRS

    public final String getDefaultCRS()

  Returns:
    the defaultCRS.

### getElevationModel

    public final String getElevationModel()

  Returns:
    the elevationModel.

### getServiceIdentification

    public final String getServiceIdentification()

  Returns:
    the serviceIdentification.

### getDistanceAboveSeaLevel

    public final int getDistanceAboveSeaLevel()

  Returns:
    the initialElevation.

### getInitialBBoxAsString

    public final String getInitialBBoxAsString()

  Returns:
    the initialBBoxString.

### getInitialPitch

    public final int getInitialPitch()

  Returns:
    the initialPitch.

### getInitialDistance

    public final int getInitialDistance()

  Returns:
    the initialDistance.

### getInitialRoll

    public final int getInitialRoll()

  Returns:
    the initialRoll.

### getInitialYaw

    public final int getInitialYaw()

  Returns:
    the initialYaw.

### getInitialHeight

    public final int getInitialHeight()

  Returns:
    the initialHeight.

### getPOIX

    public final double getPOIX()

  Returns:
    the poi_x.

### getPOIY

    public final double getPOIY()

  Returns:
    the poi_y.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org